package com.hzs.common.core.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author: jiiangchao
 */
@Component
@ConfigurationProperties(prefix = "oss")
public class OssConfig {

    /**
     * accessKeyId
     */
    private static String accessKeyId;

    /**
     * accessKeySecret
     */
    private static String accessKeySecret;

    /**
     * bucketName
     */
    private static String bucketName;

    /**
     * endpoint
     */
    private static String endpoint;

    /**
     * prefixDirectory
     */
    private static String prefixDirectory;

    /**
     * filePath
     */
    private static String filePath;

    public static String getAccessKeyId() {
        return accessKeyId;
    }

    public void setAccessKeyId(String accessKeyId) {
        OssConfig.accessKeyId = accessKeyId;
    }

    public static String getAccessKeySecret() {
        return accessKeySecret;
    }

    public void setAccessKeySecret(String accessKeySecret) {
        OssConfig.accessKeySecret = accessKeySecret;
    }

    public static String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        OssConfig.bucketName = bucketName;
    }

    public static String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        OssConfig.endpoint = endpoint;
    }

    public static String getPrefixDirectory() {
        return prefixDirectory;
    }

    public void setPrefixDirectory(String prefixDirectory) {
        OssConfig.prefixDirectory = prefixDirectory;
    }

    public static String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        OssConfig.filePath = filePath;
    }
}
